diff -ruPN linuxutils_2_25_05_11_old//packages/ti/sdo/linuxutils/sdma/src/module/sdmak.c linuxutils_2_25_05_11_new//packages/ti/sdo/linuxutils/sdma/src/module/sdmak.c
--- linuxutils_2_25_05_11_old//packages/ti/sdo/linuxutils/sdma/src/module/sdmak.c	2011-05-30 12:01:19.936325007 +0200
+++ linuxutils_2_25_05_11_new//packages/ti/sdo/linuxutils/sdma/src/module/sdmak.c	2011-05-30 16:43:50.846409883 +0200
@@ -142,9 +142,12 @@
     kunmap(channels[ch].ptransferStatePage);
 }
 
-
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,36)
+static int dma_ioctl(struct file *filp, unsigned int cmd, unsigned long args)
+#else
 static int dma_ioctl(struct inode *inode, struct file *filp,
                      unsigned int cmd, unsigned long args)
+#endif
 {
     unsigned int __user *argp = (unsigned int __user *) args;
     int result;
